from django.http import HttpRequest, HttpResponse
from django.shortcuts import render

# Create your views here.
# 视图函数的第一个参数是 HttpRequest 类型的对象，里面包含了请求的所有数据
# 视图函数的返回值是 HttpResponse 类型的对象，里面包含了响应的数据
from book.models import BookInfo


def index(request: HttpRequest):
    context = {'content': '模版数据======='}
    return render(request, 'book/index.html', context)


def book_list(request: HttpRequest):
    # 1. 查询数据库获取书籍列表
    # 2. 渲染模版
    books = BookInfo.objects.all()
    3/0
    context = {'books': books}
    return render(request, 'book/booklist.html', context)
