from django.template.defaultfilters import date
from jinja2 import Environment


def environment(**options):
    env = Environment(**options)
    env.filters['date'] = date
    env.filters['list_reverse'] = list_reverser
    return env


def list_reverser(li):
    if isinstance(li, list):
        return li[::-1]
    raise Exception('li type error')
