from django.http import HttpResponse
from django.middleware.csrf import get_token
from django.shortcuts import render, redirect
from django.urls import reverse
from django.views import View


# Create your views here.


class LoginView(View):

    def post(self, request):

        # 取到表单中提交上来的参数
        username = request.POST.get("username")
        password = request.POST.get("password")

        if not all([username, password]):
            print('参数错误')
        else:
            print(username, password)
            if username == 'xiexun' and password == '123456':
                # 状态保持，设置用户名到cookie中表示登录成功
                response = redirect(reverse('transfer'))
                response.set_cookie('username', username)
                return response
            else:
                print('密码错误')
        return render(request, 'login.html')

    def get(self, request):
        return render(request, 'login.html')


class TransferView(View):

    def post(self, request):
        # 从cookie中取到用户名
        username = request.COOKIES.get('username', None)
        # cookie_token = request.COOKIES.get('csrf_token')
        # 如果没有取到，代表没有登录
        if not username:
            return redirect(reverse('index'))

        to_account = request.POST.get("to_account")
        money = request.POST.get("money")
        # smscode = request.POST.get('smscode')
        #
        # server_smscode = '123654'
        # if smscode == server_smscode:
        # form_token = request.POST.get('csrf_token')
        # if cookie_token == form_token:
        print('假装执行转操作，将当前登录用户的钱转账到指定账户')
        return HttpResponse('%s 转账 %s 元到 %s 成功' % (username, money, to_account))
        # else:
        #     return HttpResponse('转账有风险，请确认环境安全')

    def get(self, request):
        token = get_token(request)
        context = {
            'csrf_token': token
        }
        response = render(request, 'transfer.html', context)
        response.set_cookie('csrf_token', token)
        return response
