from django.conf.urls import url

from book.views import test, index, post_form, post_json, create_response, create_jsonresponse, set_cookie, set_session, \
    get_session, register, RegisterView, test_middleware

urlpatterns = [
    # test/
    url(r'^test/$', test, name='test'),
    url(r'^index/$', index, name='index'),
    # 18/188/
    url(r'(?P<num1>\d+)/(?P<num2>\d+)', index),
    url(r'^post_form/$', post_form),
    url(r'^post_json/$', post_json),
    url(r'^create_response/$', create_response),
    url(r'^create_jsonresponse/$', create_jsonresponse),
    url(r'^set_cookie/$', set_cookie),
    url(r'^set_session/$', set_session),
    url(r'^get_session/$', get_session),
    # url(r'^register/$', register),
    url(r'^register/$', RegisterView.as_view()),
    url(r'^middleware/$', test_middleware),
]
